Libnfc and MFOC

asked 2016-02-22 13:08:49 -0500

Hi, I want to install libnfc with mfoc. I can install newest version of libnfc via dnf install libnfc libnfc-devel libnfc-examples with no problems. But when I'm trying to install MFOC there is following error:

mifare.h:85:3: error: unknown type name ‘byte_t’

I've read on some forums that it's because MFOC works only with Libnfc 1.5.1 and less. So i decided to remove newest version of Libnfc and install Libnfc version 1.5.1 instead by:

wget http://libnfc.googlecode.com/files/libnfc-1.5.1.tar.gz
tar -xvzf libnfc-1.5.1.tar.gz
cd libnfc-1.5.1
./configure
make
make install

the error occured after ./configure :

checking for libusb... no
checking for libusb... no
checking for libusb-config... /usr/bin/libusb-config
checking for libpcsclite... no
configure: error: libpcsclite is required for building the acr122 driver.

But my libusb is newest version.

So I decided to install libnfc 1.4.2 by with the same libusb ... no error. Could you help me with that?

edit retag flag offensive close merge delete

Comments

1

Install pcsc-lite-devel and libnfc-devel I was able to build it on Fedora 23

aeperezt gravatar imageaeperezt ( 2016-02-22 13:59:09 -0500 )edit